<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.document.library.internal.exportimport.staged.model.repository.FileEntryStagedModelRepository" activate="activate" deactivate="deactivate">
  <property name="model.class.name" type="String" value="com.liferay.document.library.kernel.model.DLFileEntry"/>
  <service>
    <provide interface="com.liferay.exportimport.staged.model.repository.StagedModelRepository"/>
  </service>
  <reference name="_dlAppLocalService" interface="com.liferay.document.library.kernel.service.DLAppLocalService" field="_dlAppLocalService"/>
  <reference name="_dlFileEntryLocalService" interface="com.liferay.document.library.kernel.service.DLFileEntryLocalService" field="_dlFileEntryLocalService"/>
  <reference name="_repositoryLocalService" interface="com.liferay.portal.kernel.service.RepositoryLocalService" field="_repositoryLocalService"/>
  <implementation class="com.liferay.document.library.internal.exportimport.staged.model.repository.FileEntryStagedModelRepository"/>
</scr:component>
